Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class SimpleMRTMPOriginManager

    java.lang.Object
      org.red5.server.net.mrtmp.SimpleMRTMPOriginManager

All Implemented Interfaces:
  IMRTMPManager, IMRTMPOriginManager

    public class SimpleMRTMPOriginManager

extends Object
implements IMRTMPOriginManager

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`SimpleMRTMPOriginManager()`

Method Summary
`void` | `associate(RTMPConnection rtmpConn, IMRTMPConnection mrtmpConn)` Associate the client to a MRTMP connection so that the packet will be sent via this MRTMP connection.
`void` | `dissociate(RTMPConnection rtmpConn)` Deassociate the client from the MRTMP connection previously associated to.
`IMRTMPConnection` | `lookupMRTMPConnection(RTMPConnection rtmpConn)` Map a client to an Edge/Origin MRTMP connection.
`boolean` | `registerConnection(IMRTMPConnection conn)` Register a MRTMP connection so that it can be later been looked up.
`void` | `setOriginMRTMPHandler(OriginMRTMPHandler originMRTMPHandler)`
`boolean` | `unregisterConnection(IMRTMPConnection conn)` Unregister a MRTMP connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMRTMPOriginManager

    public SimpleMRTMPOriginManager()

Method Detail

### setOriginMRTMPHandler

    public void setOriginMRTMPHandler(OriginMRTMPHandler originMRTMPHandler)

### registerConnection

    public boolean registerConnection(IMRTMPConnection conn)

  Description copied from interface: `IMRTMPManager`
  Register a MRTMP connection so that it can be later been looked up.

  Specified by:
    `registerConnection` in interface `IMRTMPManager`
  Returns:
    whether the registration is successful

### unregisterConnection

    public boolean unregisterConnection(IMRTMPConnection conn)

  Description copied from interface: `IMRTMPManager`
  Unregister a MRTMP connection.

  Specified by:
    `unregisterConnection` in interface `IMRTMPManager`
  Returns:
    whether the registration is successful

### associate

    public void associate(RTMPConnection rtmpConn,
                          IMRTMPConnection mrtmpConn)

  Description copied from interface: `IMRTMPOriginManager`
  Associate the client to a MRTMP connection so that the packet will be sent via this MRTMP connection. The association has different impacts on persistent and polling connections. For persistent connection, the mapping is static while for polling connection, the mapping is dynamic and might not be honored.

  Specified by:
    `associate` in interface `IMRTMPOriginManager`
  Parameters:
    `rtmpConn` - rtmp connection
    `mrtmpConn` - mrtmp connection

### dissociate

    public void dissociate(RTMPConnection rtmpConn)

  Description copied from interface: `IMRTMPOriginManager`
  Deassociate the client from the MRTMP connection previously associated to.

  Specified by:
    `dissociate` in interface `IMRTMPOriginManager`

### lookupMRTMPConnection

    public IMRTMPConnection lookupMRTMPConnection(RTMPConnection rtmpConn)

  Description copied from interface: `IMRTMPManager`
  Map a client to an Edge/Origin MRTMP connection. On Edge, the server will find an Origin connection per routing logic. On Origin, the server will send to the original in-coming connection if the client connection type is persistent. Or the latest in-coming connection will be used.

  Specified by:
    `lookupMRTMPConnection` in interface `IMRTMPManager`
  Returns:
    the IMRTMPConnection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project